/*********************************************\
*   BeApple2 : Apple ][+ emulator for BeOS    *
*                                             *
*        tape.h : Cassette tape               *
\*********************************************/

#ifndef TAPE_H
#define TAPE_H

#include <InterfaceKit.h>

int OpenTape(entry_ref *ref);

void InitTape();

void ClearTape();

void TapeLook();

int ReadTape();

int WriteTape(float *Buf);

int SaveTape(entry_ref *ER);

int StopSaveTape();

extern bool TapeEcr;
/*++++++++++++++++++++++++++++++++++++++++++
  +  TapeView                              +
  ++++++++++++++++++++++++++++++++++++++++++*/
class TapeView : public BView
{
 public:
			TapeView(BRect frame,const char *name);
	void	Draw(BRect brUp);
};

#endif